"use client";
import { createContext, useState } from "react";
import { AppBar, Toolbar, useScrollTrigger } from "@mui/material";

export const AppContext = createContext({
  openMainSideBar: Boolean,
  trigger: 0,
  handleToggleMainSideBar: () => {},
});

const AppbarProvider = ({ children }) => {
  const trigger = useScrollTrigger({ threshold: 0 }) ? 1 : 0;
  const [openMainSideBar, setOpenMainSideBar] = useState(false);

  const handleToggleMainSideBar = () => {
    setOpenMainSideBar((prev) => !prev);
  };
  return (
    <AppContext.Provider value={{ openMainSideBar, handleToggleMainSideBar }}>
      <AppBar position="fixed" color={"default"} elevation={trigger}>
        <Toolbar className="w-full h-full flex items-center justify-between  ">
          {children}
        </Toolbar>
      </AppBar>
      <Toolbar />
    </AppContext.Provider>
  );
};

export default AppbarProvider;
